
CN REST - Story #2413

Implement Exceptions for solr backed CN endpoints

2012-02-27 21:53 - Skye Roseboom

Status: Closed Start date: 2012-02-27

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

search/solr and /log need to throw exceptions as documented by architecture documentation.

http://mule1.dataone.org/ArchitectureDocs-current/apis/CN_APIs.html#CNRead.search

http://mule1.dataone.org/ArchitectureDocs-current/apis/CN_APIs.html#CNCore.getLogRecords

Subtasks:

Task # 2414: Implement exceptions for search/solr endoint New

Task # 2415: Implement exceptions for log endpoint New

History

#1 - 2012-02-27 21:58 - Skye Roseboom

- Assignee changed from Robert Waltz to Skye Roseboom

#2 - 2012-02-27 22:01 - Robert Waltz

- Milestone changed from CCI-1.0.0 to None

- Category changed from d1_cn_service to d1_cn_solr_extensions

#3 - 2012-03-13 15:44 - Skye Roseboom

- Milestone changed from None to CCI-1.0.0

#4 - 2012-03-20 22:02 - Skye Roseboom

- Milestone changed from CCI-1.0.0 to None

#5 - 2015-01-19 22:49 - Dave Vieglais

- Category deleted (d1_cn_solr_extensions)

- Project changed from Infrastructure to CN Index

#6 - 2015-01-19 22:49 - Dave Vieglais

- Project changed from CN Index to CN REST

#7 - 2018-01-09 14:39 - Dave Vieglais

- % Done changed from 0 to 100

- Status changed from New to Closed
